PDA

View Full Version : 2011 java cRIO image?


lineskier
01-08-2011, 10:26 PM
Just installed all the new software for the crio, went to install the new java image and realized there was only the labview image. Now I'm sort of stuck, any ideas?

derekwhite
01-08-2011, 10:39 PM
Some documents went out with the old URL.

The Java SDK is not on DVD, but is downloadable from http://firstforge.wpi.edu/sf/projects/wpilib

Please read the "Java Getting Started Guide" for more details at

http://firstforge.wpi.edu/sf/docman/do/listDocuments/projects.wpilib/docman.root.c_and_java_documentation

lineskier
01-08-2011, 11:23 PM
I've gone through this process several times, installing uninstalling and installing the plugins again, however I keep getting the following error:

No cRIO Images found.
Expected here:
C:\Documents and Settings\Developer\sunspotfrcsdk\cRIO_Images

Is there somewhere where I can download the java image from rather than trying to get it through the plugin?

thanks

lineskier
01-09-2011, 12:15 AM
[Update]

I don't know if someone is having similar issues, but I found a work around. It seems the update site doesn't create the image file.

Go ahead and update from the update site, but to get the image file, follow the update without internet access from the getting started manual derek suggested.

this should produce the image file.

DtD
01-09-2011, 12:21 AM
I have not even had a chance to see the box our kit was in since our programming guys helped rookies all afternoon, but I did notice http://joule.ni.com/nidu/cds/view/p/id/2262 has an update required for C++ and Java stuff for the update utility.

lineskier
01-09-2011, 12:25 AM
Yeah, but note before you install that update you need to install the labview update(even if your using java or c++)

it was after doing all that, that it could only find the labview image

derekwhite
01-09-2011, 10:21 AM
lineskier,

Ouch - the update center didn't get updated after kick-off. It still contains the 2010 Java updates.

For now, please download the Java update from the FIRST Forge web site (as described in the Java Getting Started Guide as "Installing without internet access).

The correct FRC NetBeans modules will have a version number of 2011.3 or higher, and are dated in 2011.

Thanks for finding this issue!

BradAMiller
01-09-2011, 12:01 PM
Sorry about that...

It's posted now on the update site: http://first.wpi.edu/FRC/java/netbeans/update/updates.xml. Put that URL into the NetBeans. On the menu bar select "Tools" then "Plugins". Then on the settings tab you can fill in the update site with a name for it you'd like to give it. Then on the "Available Updates" tab, choose the 5 plugins that start with "FRC" and hit "Install". You should be good to go after that, and when there are new updates - NetBeans will prompt you with the newer FRC plugins as they become available.

Brad